<?php
/********************************************************************************
 * (c)1337 aheadware.com - All rights reserved
 ********************************************************************************/

/**
 * Class Francis_Utils_Config
 */
class Francis_Utils_Config {

    private static $data = array();

    /**
     * Set key/value
     *
     * @param string $key
     * @param mixed $value
     */
    public static function set( $key, $value ) {
        self::$data[ '' . $key ] = $value;
    }

    /**
     * Get key/value
     *
     * @param string $key
     * @return mixed $value
     */
    public static function get( $key ) {
        $key = '' . $key;
        if ( isset( self::$data[ $key] ) ) {
            return self::$data[ $key ];
        } else {
            return NULL;
        }
    }
} 